
From: Colin Leroy <colin@colino.net>

I was looking around to see why monitor mode wouldn't work using the
zd1201 driver, and spotted these obvious typos. 

I think you can safely apply :)

Signed-off-by: Colin Leroy <colin@colino.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/usb/net/zd1201.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/usb/net/zd1201.c~fix-harmful-typos-in-zd1201c drivers/usb/net/zd1201.c
--- 25/drivers/usb/net/zd1201.c~fix-harmful-typos-in-zd1201c	2005-03-24 03:35:19.000000000 -0800
+++ 25-akpm/drivers/usb/net/zd1201.c	2005-03-24 03:35:19.000000000 -0800
@@ -673,7 +673,7 @@ static int zd1201_enable(struct zd1201 *
 		return 0;
 
 	err = zd1201_docmd(zd, ZD1201_CMDCODE_ENABLE, 0, 0, 0);
-	if (!err);
+	if (!err)
 		zd->mac_enabled = 1;
 
 	if (zd->monitor)
@@ -690,7 +690,7 @@ static int zd1201_disable(struct zd1201 
 		return 0;
 	if (zd->monitor) {
 		err = zd1201_setconfig16(zd, ZD1201_RID_PROMISCUOUSMODE, 0);
-		if (err);
+		if (err)
 			return err;
 	}
 
_
